#include <QtGui>
#include "timestamp.h"

TimeStamp::TimeStamp(QWidget *parent)
	: QLabel(parent)
{
	extern unsigned int l_Time;
	TimeStamp::setNum((int)l_Time);

	// QTimer *timer = new QTimer(this);
	// connect(timer, SIGNAL(timeout()), this, SLOT(update()));
	// timer->start(10);  // 10 msec
}

void TimeStamp::paintEvent(QPaintEvent * /* event */)
{
    extern unsigned int l_Time;
	TimeStamp::setNum((int)l_Time);
	QPainter painter(this);
	painter.setBrush(QBrush(Qt::white,Qt::SolidPattern));
	painter.setPen(Qt::black);
    int textWidth = fontMetrics().width(TimeStamp::text());
    if (textWidth < 1)
      return;
    painter.drawText(0, 0, textWidth, height(),
	  Qt::AlignLeft | Qt::AlignVCenter, TimeStamp::text());
}

// void TimeStamp::timerEvent(QTimerEvent * event)
// {
//	 extern unsigned int l_Time;
//	 TimeStamp::setNum((int)l_Time);
//	 update();
// }
